<!--
  The context has a key named "names" in it
  that is a list of names.

  Only output the name in the unordered list
  if the name contains the letter "i".
-->
<!doctype html>
<html lang="en">

<head>
  <title>Problem 011</title>
</head>

<body>
  <main>
    <!--
        Build the UNORDERED list of names with
        names that are longer than 3 characters.
      -->
    <ul>
      {% for name in names %}
      <!-- for each name in names -->

      <!-- if "i" in name -->
      {% if "i" in name %}

      <li>{{ name }}</li>
      <!-- end if -->
      {% endif %}

      <!-- end for -->
      {% endfor %}

    </ul>
  </main>
</body>

</html>